//Copyright (C) 2007 Christian Scheller

using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Domain;
using System.Data.Sql;
using System.Data.SqlClient;
using System.Text;
using REA;
using Storage;

public partial class Menu : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {
        StringBuilder html = new StringBuilder();
        html.Append("<table>");
        html.Append("<tr><td>Number</td><td>Name</td><td>Price</td></tr>");
        foreach (Pizza pizza in Facade.GetPizzas().Values) {
            html.Append("<tr>");
            html.Append("<td>" + pizza.ID + "</td>");
            html.Append("<td>" + pizza.Name + "</td>");
            html.Append("<td align=\"right\">" + pizza.Value.ToString("0.00") + "</td>");
            html.Append("</tr>");
        }
        html.Append("</table>");
        Body.InnerHtml = html.ToString();
    }
}
