﻿//Copyright (C) 2007 Christian Scheller

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Domain;
using Storage;
using System.Text;

public partial class Orders : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {
        StringBuilder html = new StringBuilder();
        html.Append("<table>");
        foreach (Order order in Facade.GetOrders().Values) {
            if (order.ID > 10010) {
                html.Append("<tr><td><a href=\"order.aspx?id=" + order.ID + "\">" + order.ID + "</a></td></tr>");
            }
        }
        html.Append("</table>");
        Body.InnerHtml = html.ToString();
    }
}
