//Copyright (C) 2007 Christian Scheller

using System;
using System.Collections.Generic;
using System.Text;

namespace REA {
    public class DecrementEvent {
        public DateTime Date;
        public Resource Resource;
        public double Amount;
        public Agent Recipient;

        public DecrementEvent(DecrementCommitment commitment) {
            Date = DateTime.Now;
            Resource = commitment.Resource;
            Amount = commitment.Amount;
            Recipient = commitment.Recipient;
        }

        public DecrementEvent(DateTime date, Resource resource, double amount, Agent recipient) {
            Date = date;
            Resource = resource;
            Amount = amount;
            Recipient = recipient;
        }
    }
}
