//Copyright (C) 2007 Christian Scheller

using System;
using System.Collections.Generic;
using System.Text;

namespace REA {
    public delegate void IncrementEventCreatedHandler(IncrementEvent e);

    [Serializable]
    public abstract class IncrementCommitment {
        public Resource Resource;
        public double Amount;
        public Agent Provider;
        public bool Fulfilled = false;

        public event IncrementEventCreatedHandler EventCreated;

        public void Fulfill() {
            Fulfilled = true;
            IncrementEvent e = new IncrementEvent(this);
            EventCreated(e);
        }
    }
}
