//Copyright (C) 2007 Christian Scheller

using System;
using System.Collections.Generic;
using System.Text;

namespace REA {
    public delegate void DecrementEventCreatedHandler(DecrementEvent e);

    [Serializable]
    public abstract class DecrementCommitment {
        public Resource Resource;
        public double Amount;
        public Agent Recipient;
        public bool Fulfilled = false;

        public event DecrementEventCreatedHandler EventCreated;

        public void Fulfill() {
            Fulfilled = true;
            DecrementEvent e = new DecrementEvent(this);
            EventCreated(e);
        }
    }
}
