//Copyright (C) 2007 Christian Scheller

using System;
using System.Collections.Generic;
using System.Text;

namespace REA {
    public class IncrementEvent {
        public DateTime Date;
        public Resource Resource;
        public double Amount;
        public Agent Provider;

        public IncrementEvent(IncrementCommitment commitment) {
            Date = DateTime.Now;
            Resource = commitment.Resource;
            Amount = commitment.Amount;
            Provider = commitment.Provider;
        }

        public IncrementEvent(DateTime date, Resource resource, double amount, Agent provider) {
            Date = date;
            Resource = resource;
            Amount = amount;
            Provider = provider;
        }

    }
}
